CVE-2020-12757

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2020-12757
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2020-12757.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2020-12757
Aliases
Published
2020-06-10T19:15:09Z
Modified
2024-05-29T22:41:40Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

HashiCorp Vault and Vault Enterprise 1.4.0 and 1.4.1, when configured with the GCP Secrets Engine, may incorrectly generate GCP Credentials with the default time-to-live lease duration instead of the engine-configured setting. This may lead to generated GCP credentials being valid for longer than intended. Fixed in 1.4.2.

References

Affected packages

Git / github.com/hashicorp/vault

Affected ranges

Type
GIT
Repo
https://github.com/hashicorp/vault
Events